<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\BayerischerApothekertagEhrengaeste\Detailsreiter\Termine;

class TermineSetFilterController extends TermineController
{
  
  protected function getRequestObj()
  {
    $requestObj = parent::getRequestObj();
    $requestObj->termineDatumBereich = trim(\PostOperations::getVarValue('termineDatumBereich', 'alle'));
    $requestObj->termineDatumVon = trim(\PostOperations::getVarValue('termineDatumVon'));
    $requestObj->termineDatumBis = trim(\PostOperations::getVarValue('termineDatumBis'));
    $requestObj->termineUhrzeitBereich = trim(\PostOperations::getVarValue('termineUhrzeitBereich', 'alle'));
    $requestObj->termineUhrzeitVon = trim(\PostOperations::getVarValue('termineUhrzeitVon'));
    $requestObj->termineUhrzeitBis = trim(\PostOperations::getVarValue('termineUhrzeitBis'));
    $requestObj->termineDozent = trim(\PostOperations::getVarValue('termineDozent'));
    $requestObj->termineDozentRadio = trim(\PostOperations::getVarValue('termineDozentRadio', 'alle'));
    $requestObj->termineOrt = trim(\PostOperations::getVarValue('termineOrt'));
    $requestObj->termineBemerkung = trim(\PostOperations::getVarValue('termineBemerkung'));
    $requestObj->termineStatus = trim(\PostOperations::getVarValue('termineStatus', 'alle'));

    return $requestObj;
  }
}